
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Blockbuster deals</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
    integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
    crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js"
    integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut"
    crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js"
    integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k"
    crossorigin="anonymous"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ" crossorigin="anonymous">
  </head>
  <body style="background-color: rgb(227, 220, 220);">
    
    <div class="container-fluid">
      <div class="row">
        <div class="col-md-12">

              <nav class="navbar navbar-expand-lg bg-body-tertiary" data-bs-theme="dark">
                <div class="container-fluid">
                  <a class="navbar-brand" href="/" style="font-weight: bold; font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;">RetailStore.com</a>
                  <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                  </button>
                  <div class="collapse navbar-collapse" id="navbarNav">
                    <ul class="navbar-nav">
                      <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="shop">Todays Deals</a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link" href="contact">Contact Page</a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link" href="#">Wishlist</a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link ">Orders</a>
                      </li>
                    </ul>
                  </div>
                  <a href="signup"><button class="btn btn-secondary">Sign up</button></a>
                      
                    <a href="cart"><i class="fa-solid fa-cart-shopping fa-2x" style="color: #fff; padding-left: 25px;"></i>Cart(<span id='cart'>0</span>)</a>
                </div>
              </nav>

        </div>
    </div>
    </div>



       <div class="container">

         <div class="row mt-5">
            <h2>Discover Top Deals</h2>
            {% for data in products %}         

            <div class="col-md-3 my-3">
                <div class="card"  class='card-img-top' style="width: 18rem;">
                  {% if data.prod_image %}
                  <img src='{{data.prod_image.url}}' alt="..." height="250px" width="285px">
                  {% endif %}
                    
                    <div class="card-body">
                      <h5 class="card-title">{{data.prod_name}}</h5>
                      <p class="card-text">{{data.prod_desc}}</p>
                      <p style="color: red; font-size: larger;">Rs {{data.price}}</p>
                      <button id='prod{{data.prod_id}}' class="cart">Add to Cart</button>
                    </div>
                  </div>
            </div>
            
            {% endfor %}
         </div>

       </div>

       {% block js %}

       <script>
        console.log('Working')
        if(localStorage.getItem('cart')==null){
          var cart={};
        }
        else{
          cart=JSON.parse(localStorage.getItem('cart'));
          document.getElementById('cart').innerHTML=Object.keys(cart).length;
        }
 
      //jquery code//

        $('.cart').click(function(){                              // using jquery selector to grap button id and using function
          console.log('clicked')                
          var idstr=this.id.toString();                         // using a variable to store button id converted to String from object
          if(cart[idstr]!=undefined){                          // if cart is missing 
            cart[idstr]=cart[idstr] +1;                       // then cart item is incremented
          }
          else{
            cart[idstr]=1;                                  // if item is missing in cart then item is added once 
          }
          console.log(cart);
          localStorage.setItem('cart',JSON.stringify(cart));   // setting cart items, so that refreshing or changing the page does not change the CART. 
        })
        
        </script>
        
       {% endblock %}
       
       
       <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ENjdO4Dr2bkBIFxQpeoTz1HIcje39Wm4jDKdf19U8gI4ddQ3GYNS7NTKfAdVQSZe" crossorigin="anonymous"></script>
  </body>
</html>